# Interface AdsRenderingSettings

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.AdsRenderingSettings

interface AdsRenderingSettings {
autoAlign?: boolean;
bitrate?: number;
enablePreloading?: boolean;
loadVideoTimeout?: number;
mimeTypes?: null | string[];
playAdsAfterTime?: number;
restoreCustomPlaybackStateOnAdBreakComplete?: boolean;
uiElements?: null | string[];
useStyledLinearAds?: boolean;
useStyledNonLinearAds?: boolean;
}

#####
Index

### Properties

autoAlign?
bitrate?
enablePreloading?
loadVideoTimeout?
mimeTypes?
playAdsAfterTime?
restoreCustomPlaybackStateOnAdBreakComplete?
uiElements?
useStyledLinearAds?
useStyledNonLinearAds?

## Properties

### `Optional` autoAlign

autoAlign?: boolean

### `Optional` bitrate

bitrate?: number

### `Optional` enablePreloading

enablePreloading?: boolean

### `Optional` loadVideoTimeout

loadVideoTimeout?: number

### `Optional` mimeTypes

mimeTypes?: null | string[]

### `Optional` playAdsAfterTime

playAdsAfterTime?: number

### `Optional` restoreCustomPlaybackStateOnAdBreakComplete

restoreCustomPlaybackStateOnAdBreakComplete?: boolean

### `Optional` uiElements

uiElements?: null | string[]

### `Optional` useStyledLinearAds

useStyledLinearAds?: boolean

### `Optional` useStyledNonLinearAds

useStyledNonLinearAds?: boolean